Forum : Lws & Hebergeur-discount

Hébergement web, nom de domaine et serveur dédié.

phpMyAdmin version installée obsolete

Ici vous pouvez poser vos questions techniques, les problemes que vous rencontrez (publication de votre site, configuration dns des domaines...)
zab
Débutant
Débutant
Messages : 37

jeu. mars 25, 2010 9:43 am  

La version installée de phpMyAdmin est 2.6.3. Cette version ne gére pas les moteurs InnoDB, ne gére pas les clés étrangères, etc.... Elle est completement obsolete, pour mémoire elle date 2005, et il s'est passé pas mal de choses depuis. Cette interface est INUTILISABLE, les exportations pour faire des sauvegardes ne prennent pas en comptes les structures des tables correctement. Si vous parametrez des tables en InnoDB, que vous avez ajouté des clés étrangères, l'exportation les reconnait comme ISAM et ignore les clés étrangères.

J'ai ouvert un ticket pour signaler mon probleme, la réponse est : désolé, il ne sera pas possible de mettre à jour le phpmyadmin. !!!!!!!!!!!!!!!!

Les publictés pour LWS indique par exemple :
- Vous pouvez administrer en ligne tous nos services (mails, base de données, stats, comptes ftp...)
- Notre équipe de développement améliore sans cesse nos systèmes avec les technologies les plus récentes, créant de nouveaux outils et dispositifs pour rendre nos services faciles d'utilisation et aussi fiables que possible. Toutes les mises à niveau seront à la disposition de tous nos clients sans aucun frais additionnel

une interface d'administration de la base datant de 2005 est vraiment la plus récente des technologies. C'est déplorable, je suis incapable de faire des sauvegardes de la base de données avec les outils que vous mettez à disposition.

Je suggere que vous modifiez vos publicités en indiquant clairement que l'on pourra disposer d'une interface obsolete ne nous permettant pas de gerer nos bases de données, qu'il n'y aura pas de mises à jour de l'interface (ou peut être tous les 10 ans), ca sera plus honnete et moins mensonger.

adminforum
Administrateur
Administrateur
Messages : 722

jeu. mars 25, 2010 6:57 pm  

bonjour,

envoyez moi le nom de votre site, car je pense que vous êtes pas sur nos serveur linux mais windows .

Cdt;
Laurent Helm
Division Technique
Documentations VPS: http://wiki.lws-hosting.com/doku.php/vps
Hebergeur-Discount: http://www.hebergeur-discount.com
LWS : http://www.lws.fr/
Twitter : http://twitter.com/Lwshosting
Facebook : https://www.facebook.com/lws.fr

zab
Débutant
Débutant
Messages : 37

jeu. mars 25, 2010 7:31 pm  

je suis sur un serveur windows, et il n'est pas question que je change en linux, c'est un herbergement windows pour un site en asp.net.
La version de phpMyAdmin est lié au type d'hebergement !!!!!!
Je peux concevoir que cela soit lié à la version de MySQL, mais je ne comprends pas qu'un serveur windows soit moins bien équipé qu'un serveur Linux.
Le ticket d'incidence ouvert a le numéro 142618, et le technicien qui m'a répondu est Sylvain.
Je vous saurai gré de faire le nécessaire pour que l'utilisation des bases MySQL sous windows soient possibles. Je n'ai pas parlé des triggers ou procédure stockées car je ne les avais pas encore installés, mais je redoute que le résultat soit identique.

adminforum
Administrateur
Administrateur
Messages : 722

jeu. mars 25, 2010 9:43 pm  

Bonjour,

Communiquez le nom de votre site afin que l'on règle le problème.

Nous avons des Mysql dernière génération .


Cdt.
Laurent Helm
Division Technique
Documentations VPS: http://wiki.lws-hosting.com/doku.php/vps
Hebergeur-Discount: http://www.hebergeur-discount.com
LWS : http://www.lws.fr/
Twitter : http://twitter.com/Lwshosting
Facebook : https://www.facebook.com/lws.fr

zab
Débutant
Débutant
Messages : 37

ven. mars 26, 2010 10:02 am  

Suite
Je ne sais qui je dois remercier, la version de phpMyAdmin a été mise à jour, donc merci soit à l'admin soit au technicien.

Mais..... Cela ne règle pas mon probleme. Cette nouvelle version permet de visualiser la configuration, les variables et réglages du serveur.
Ma surprise a été de constater que le moteur InnoDB est désactivé => pas de transactions, pas de clés étrangères.

J'ai donc renvoyé un ticket pour demander à l'activer, suite au prochain épisode. A partir du moment où je demandais une mise à jour de phpMyAdmin pour gérer les moteurs InnoDB, je pensais qu'au minimum on attirerait mon attention sur le fait que cela soit désactivé (et/ou qu'on l'active).

J'avais modifié, par des requetes SQL, la structure des tables pour qu'elles soient en InnoDB, la requete a été effectuée avec succès!!! Je ne comprends pas trop comment la requete a pu être realisée sans erreur alors que le moteur InnoDB est desactivé.

zab
Débutant
Débutant
Messages : 37

ven. mars 26, 2010 1:28 pm  

La réponse du service technique est tombée :
Bonjour,

Pour l'instant le moteur InnoDB n'est sera pas mit en place sur les hébergements mutualisés.

Pouvez vous nous indiquer pour quel utilisation en avez vous besoins ?

Je reste à votre disposition pour toutes autres questions.
Cordialement.
Que dire !!! pas de transactions, pas de contraintes de clés étrangères. Je relis la documentation de LWS "Notre équipe de développement améliore sans cesse nos systèmes avec les technologies les plus récentes", le moteur InnoDB est implémenté dans MySQL depuis la version 3.23, peut-être est ce un peu récent, cela ne date que du siecle dernier (1999).

Un peu de patience que diable!

Tout comme je n'aurai jamais chez LWS en hebergement mutualisé les connecteurs ADO.net pour MySQL empechant ainsi d'utiliser les services d'authentification avancés du framework .NET.

Un certain découragement me gagne.

zab
Débutant
Débutant
Messages : 37

ven. mars 26, 2010 6:15 pm  

Suite de la suite: réponse du service technique
Bonjour,
Pour l'instant si vous avez besoin de InnoDB pour les transactions et les contraintes de clés étrangères il faudrait choisir un serveur VPS.
La mise en place sur un serveur mutualisé de InnoDb est prévue mais aucune date n'a était encore défini sur cela.
Nous nous excusons de la gène occasionnée.
Je reste à votre disposition pour toutes autres questions.
Cordialement.
Un doute m'etreint... Un serveur VPS peut il herberger un site sous ASP.net? a t il Windows et IIS?
sinon pourquoi me proposer cette solution????

zab
Débutant
Débutant
Messages : 37

ven. mars 26, 2010 9:42 pm  

SUITE ET FIN

Je demande donc si les serveurs VPS sont installés avec Windows puisque ayant un hebergement Windows on me propose un serveur VPS.
+------- Réponse du 26-3-2010 ---------------+
Ecrit par: Client
+---------------------------------------------+
Bonjour,

A voir votre réponse, je suppose donc que le serveur VPS est installé avec Windows, IIS et est capable de faire tourner un site en ASP.NET?

+------- Réponse du 26-03-2010 ---------------+
Ecrit par: sylvain - Support LWS
+---------------------------------------------+
Bonjour,

Non le serveur VPS sont sur un système LINUX.

Nous ne proposons pas de serveur dédier sous Windows, je suis désolé.

Je reste à votre disposition pour toutes autres questions.
Cordialement.
Savoir qu'il reste à ma disposition si j'ai d'autres questions est fort agréable....

Je ne vois pas trop quelle question poser pour avoir une réponse au minimum cohérente, correspondant au type d'hebergement que j'ai souscrit et dans le meilleur des cas positive.
Il a quand méme fallu 6 tickets d'incidence(???) - je ne comprends pas trop le terme ticket d'incidence - traduction Google non maîtrisée? - donc 6 tickets pour avoir une réponse à la question initiale qui pour mémoire était celle ci-dessous. Retrospectivement, ce n'etait pas phpMyAdmin qui était en cause, mais je pense que la mention des moteurs InnoDB aurait du faire tilt quelque part, le technicien ayant je suppose mon dossier, le type de serveur et d'hebergement à sa disposition.

C'etait une belle journée, il faisait beau aujourd'hui, j'aurai du aller me promener.
+------- Question initiale du 24-3-2010 ------+
Ecrit par: Client
+---------------------------------------------+
LWS-601 - Technique - Base de données - Sauvegarde / Restoration - MySql -

bonjour, le motif de ma demande n'est pas paramétré dans les options proposées.
La version installée de phpMyAdmin est 2.6.3-pl1. Cette version ne permet pas de parametrer et/ou afficher les moteurs InnoDB, les foreign key, etc....

  •   Information
  • Qui est en ligne ?

    Utilisateurs parcourant ce forum : Aucun utilisateur inscrit et 7 invités